package com.yd.api.practitioner.vo.policy.policyinfoquery;

import java.util.List;

public class InsuredInfo extends PersonBasicInfo{
    private Long relationType;//与投保人关系，1-本人,2-配偶,3-父母,4-子女,5-其他
    private Double insuredHeight;//被保人身高，单位：cm
    private Double insuredWeight;//被保人体重，单位：kg
    private InsuredBirthAddressInfo insuredBirthInfo;//被保人出生地信息
    private List<UndQueInfo> undQueList;//健康问卷列表
    private List<LifeProductElementInfo> lifeProductElementInfoList;//寿险与重疾信息
    public Long getRelationType() {
        return relationType;
    }

    public void setRelationType(Long relationType) {
        this.relationType = relationType;
    }

    public Double getInsuredHeight() {
        return insuredHeight;
    }

    public void setInsuredHeight(Double insuredHeight) {
        this.insuredHeight = insuredHeight;
    }

    public Double getInsuredWeight() {
        return insuredWeight;
    }

    public void setInsuredWeight(Double insuredWeight) {
        this.insuredWeight = insuredWeight;
    }

    public InsuredBirthAddressInfo getInsuredBirthInfo() {
        return insuredBirthInfo;
    }

    public void setInsuredBirthInfo(InsuredBirthAddressInfo insuredBirthInfo) { this.insuredBirthInfo = insuredBirthInfo; }

    public List<UndQueInfo> getUndQueList() {
        return undQueList;
    }

    public void setUndQueList(List<UndQueInfo> undQueList) {
        this.undQueList = undQueList;
    }

	/**
	 * 获取属性  lifeProductElementInfoList
	 * @return lifeProductElementInfoList
	*/
	public List<LifeProductElementInfo> getLifeProductElementInfoList() {
		return lifeProductElementInfoList;
	}

	/** 
	 * 获取属性  lifeProductElementInfoList
	 * @param lifeProductElementInfoList 
	 */
	public void setLifeProductElementInfoList(List<LifeProductElementInfo> lifeProductElementInfoList) {
		this.lifeProductElementInfoList = lifeProductElementInfoList;
	}
    
}
